Package com.smartgwt.client.util

# Class ElementWaitConfig

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.util.SystemDoneConfig
com.smartgwt.client.util.SystemWaitConfig
com.smartgwt.client.util.ElementWaitConfig

All Implemented Interfaces:
  `HasHandlers`

public class ElementWaitConfig extends SystemWaitConfig
Configuration object for `AutoTest.waitForElement()`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElementWaitConfig()`
  `ElementWaitConfig(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ElementWaitConfig`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Integer`
  `getTimeout()`
  Timeout for `AutoTest.waitForElement()` in ms.
  `ElementWaitStyle`
  `getWaitStyle()`
  This attribute configures how `waitForElement()` determines that the application is read to retrieve the element.
  `ElementWaitConfig`
  `setTimeout(Integer timeout)`
  Timeout for `AutoTest.waitForElement()` in ms.
  `ElementWaitConfig`
  `setWaitStyle(ElementWaitStyle waitStyle)`
  This attribute configures how `waitForElement()` determines that the application is read to retrieve the element.

  ### Methods inherited from class com.smartgwt.client.util.SystemWaitConfig

  `getIncludeFieldRebuild, getIncludeFileLoader, getIncludeNetworkOperations, getIncludeRedraws, getIncludeReflows, getIncludeTimers, setIncludeFieldRebuild, setIncludeFileLoader, setIncludeNetworkOperations, setIncludeRedraws, setIncludeReflows, setIncludeTimers`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ElementWaitConfig

    public ElementWaitConfig()

  - ### ElementWaitConfig

    public ElementWaitConfig(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ElementWaitConfig getOrCreateRef(JavaScriptObject jsObj)

  - ### setTimeout

    public ElementWaitConfig setTimeout(Integer timeout)
    Timeout for `AutoTest.waitForElement()` in ms. If this is exceeded the callback will be fired with element set to `null`, and the callback will be passed `false` as its `"done"` parameter.

    Note that `AutoTest.getElement()` can return a valid element but this method can still timeout if the element is not clickable or the system is busy.

    If unset a default timeout of 30 seconds will be used.

    Overrides:
      `setTimeout` in class `SystemWaitConfig`
    Parameters:
      `timeout` - New timeout value. Default value is null
    Returns:
      `ElementWaitConfig` instance, for chaining setter calls

  - ### getTimeout

    public Integer getTimeout()
    Timeout for `AutoTest.waitForElement()` in ms. If this is exceeded the callback will be fired with element set to `null`, and the callback will be passed `false` as its `"done"` parameter.

    Note that `AutoTest.getElement()` can return a valid element but this method can still timeout if the element is not clickable or the system is busy.

    If unset a default timeout of 30 seconds will be used.

    Overrides:
      `getTimeout` in class `SystemWaitConfig`
    Returns:
      Current timeout value. Default value is null

  - ### setWaitStyle

    public ElementWaitConfig setWaitStyle(ElementWaitStyle waitStyle)
    This attribute configures how `waitForElement()` determines that the application is read to retrieve the element. See `ElementWaitStyle` for options.

    If not explicitly set, the `defaultElementWaitStyle` will be used.

    Parameters:
      `waitStyle` - New waitStyle value. Default value is null
    Returns:
      `ElementWaitConfig` instance, for chaining setter calls

  - ### getWaitStyle

    public ElementWaitStyle getWaitStyle()
    This attribute configures how `waitForElement()` determines that the application is read to retrieve the element. See `ElementWaitStyle` for options.

    If not explicitly set, the `defaultElementWaitStyle` will be used.

    Returns:
      Current waitStyle value. Default value is null